Package net.sf.saxon.functions

## Class TreatFn.OneOrMore

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.TreatFn
      - - net.sf.saxon.functions.TreatFn.OneOrMore

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`
  Enclosing class:
    TreatFn

      public static class TreatFn.OneOrMore
      extends TreatFn

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.TreatFn

      `TreatFn.ExactlyOne, TreatFn.OneOrMore, TreatFn.ZeroOrOne`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OneOrMore()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getErrorCodeForTypeErrors()` | Return the error code to be used for type errors
    `int` | `getRequiredCardinality()` |

    - ### Methods inherited from class net.sf.saxon.functions.TreatFn

      `call, getStreamerName, makeRoleDiagnostic`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getCompilerName, getContextNode, getDescription, getDetails, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, importAttributes, isTrustedResultType, makeCall, makeFunction, makeFunctionCall, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### OneOrMore

          public OneOrMore()

  - ### Method Detail

    - #### getRequiredCardinality

          public int getRequiredCardinality()

      Specified by:
        `getRequiredCardinality` in class `TreatFn`

    - #### getErrorCodeForTypeErrors

          public java.lang.String getErrorCodeForTypeErrors()

      Description copied from class: `TreatFn`
      Return the error code to be used for type errors
      Specified by:
        `getErrorCodeForTypeErrors` in class `TreatFn`
      Returns:
        the error code to be used for type errors in the function call. Normally XPTY0004, but different codes are used for functions such as exactly-one()